[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Initialize

Initialize the application

## Declaration

Source position: custapp.pp line 55

`public procedure TCustomApplication.Initialize; virtual;`

## Description

Initialize can be overridden by descendent applications to perform any initialization after the class was created. It can be used to react to properties being set at program startup. End-user code should call Initialize prior to calling Run

In TCustomApplication, Initialize sets Terminated to False.

## See also

TCustomApplication.Run |  | Runs the application.
TCustomApplication.Terminated |  | Was Terminate called or not

Documentation generated on: Feb 26 2014